Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mortbay.jetty.start.daemon
Class Bootstrap

    java.lang.Object
      org.mortbay.jetty.start.daemon.Bootstrap

All Implemented Interfaces:
  org.apache.commons.daemon.Daemon

    public class Bootstrap

extends java.lang.Object
implements org.apache.commons.daemon.Daemon

Constructor Summary
`Bootstrap()`

Method Summary
`void` | `destroy()`
`void` | `init(org.apache.commons.daemon.DaemonContext context)`
`void` | `start()`
`void` | `stop()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Bootstrap

    public Bootstrap()

Method Detail

### init

    public void init(org.apache.commons.daemon.DaemonContext context)

  Specified by:
    `init` in interface `org.apache.commons.daemon.Daemon`

### start

    public void start()

  Specified by:
    `start` in interface `org.apache.commons.daemon.Daemon`

### stop

    public void stop()

  Specified by:
    `stop` in interface `org.apache.commons.daemon.Daemon`

### destroy

    public void destroy()

  Specified by:
    `destroy` in interface `org.apache.commons.daemon.Daemon`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1995-2010 Mort Bay Consulting. All Rights Reserved.